const path = require('path')
const myTheme = path.resolve(__dirname, "./src/assets/vantChange.less")

module.exports = {
	productionSourceMap: false,
	publicPath: './',
	devServer: {
		open: true, //设置自动打开
		proxy: {
			'/': {
				target: 'http://183.66.101.90:8083',
				// target: 'http://183.66.101.58:8083',
				changeOrigin: true,
				ws: true
			},
		}
	},
    chainWebpack: config => {
      config.optimization
        .minimizer('terser')
        .tap(args => {
          Object.assign(args[0].terserOptions.compress, { 
            pure_funcs: ['console.log']
          })
          return args
        })
    }
}
